Name: hp-qla4xxx
Version: 5.01.01.04
Release: 2
Group: System Environment/Kernel
Vendor: QLogic corporation
URL: http://www.qlogic.com
Packager: Hewlett-Packard Company
License: GPL
Source: %{name}-%{version}.tar.gz
Provides: %{name}
Buildroot: %{_tmppath}/%{name}-%{version}/bldroot
Summary: QLogic driver for QMH4062 iSCSI HBA.

%define packinfo "This package contains Qlogic driver for QMH4062 iSCSI HBA"
%define debug_package %{nil}

%if %{!?KVER:0}%{?KVER:1}
%define custom 1
%else
%define custom 0
%endif

%if "%{_host_vendor}" == "suse"
%if %{!?KVER:1}%{?KVER:0}
%ifarch x86_64
%define flav default smp xen kdump
%else
%define flav default smp xen kdump bigsmp xenpae pae
%endif
%endif
%if %{!?KVER:0}%{?KVER:1}
%define flav %(echo %{KVER} | awk -F"-" '{print $3}')
%define kverrel %(echo %{KVER} | awk -F"-" '{print $1"-"$2}')
%endif
%endif

%if "%{_host_vendor}" == "redhat"
%if %{!?KVER:1}%{?KVER:0}
%define flav ""
%endif
%if %{!?KVER:0}%{?KVER:1}
%define flav %(echo %{KVER} | awk -F"el5" '{print $2}')
%define kverrel %(echo %{KVER} | awk -F"el5" '{print $1"el5"}')
%if "%{flav}" == ""
%define flav default
%endif
%endif
%endif

%description
%{packinfo}

%if "%{_host_vendor}" == "suse"
BuildRequires: kernel-source kernel-syms
%define kernel_source /usr/src/linux-obj/%{_target_cpu}
%{suse_kernel_module_package -x %flav}
%else
BuildRequires: %kernel_module_package_buildreqs
%{kernel_module_package %flav}
%endif

%package KMP
summary: QLogic iSCSI Driver
Group: System/kernel

%description KMP
%{packinfo}

%prep
%setup 
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
rm -rf obj/$flavor
cp -r source obj/$flavor
make -C %{kernel_source $flavor} modules M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{name}
for flavor in %flavors_to_build; do
make  -C %{kernel_source $flavor} modules_install M=$PWD/obj/$flavor
done

%clean
rm -rf %{buildroot}

%define major_change (Severity:Critical)
%define medium_change (Severity:Medium)
%define minor_change (Severity:Minor)

%changelog 
*Wed Nov 12 2008 Mahesh M.R <Mahesh.Mr@hp.com> %{version}-%{release}
-modified spec files to fit to kernel modules specification %{major_change}

